Package org.springframework.web.filter

# Interface UrlHandlerFilter.Builder

Enclosing class:
  UrlHandlerFilter

public static interface UrlHandlerFilter.Builder
Builder for `UrlHandlerFilter`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`UrlHandlerFilter.Builder.TrailingSlashSpec`
A spec to configure a trailing slash handler.

## Method Summary

Modifier and Type
Method
Description
`UrlHandlerFilter`
`build()`
Build the `UrlHandlerFilter` instance.
`UrlHandlerFilter.Builder.TrailingSlashSpec`
`trailingSlashHandler(String... pathPatterns)`
Add a handler for URLs with a trailing slash.

## Method Details

### trailingSlashHandler

UrlHandlerFilter.Builder.TrailingSlashSpec trailingSlashHandler(String... pathPatterns)
Add a handler for URLs with a trailing slash.

Parameters:
  `pathPatterns` - path patterns to map the handler to, for example, `"/path/*"`, `"/path/**"`, `"/path/foo/"`.
Returns:
  a spec to configure the handler with

### build

UrlHandlerFilter build()
Build the `UrlHandlerFilter` instance.